<div
  class="full-width full-height flex-column"
  #field
  [ngClass]="getComponentClasses()"
  (click)="edit()"
>
  <div class="m-auto">
    @if (hasIcon) {
      <i
        nz-icon
        [nzType]="icon"
        nzTheme="outline"
        class="table-icon-size icon current-workspace-main-color"
      >
      </i>
    } @else {
      <span class="sqtm-placeholder">{{ placeholder | translate }}</span>
    }
  </div>
</div>

<ng-template #template>
  <sqtm-core-icon-picker
    [icons]="icons"
    [selectedIcon]="icon"
    (confirmEvent)="handleIconClick($event)"
  >
  </sqtm-core-icon-picker>
</ng-template>
